This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 827718 - nl80211: set_key failed; err=-22 Invalid argument error
nl80211: set_key failed; err=-22 Invalid argument error
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: wpa_supplicant (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-02 12:12 EDT by Mr-4
Modified: 2013-07-31 19:35 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 19:35:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mr-4 2012-06-02 12:12:57 EDT
Description of problem:
When using ieee80211w=2 (mandatory) on both wpa_supplicant and hostapd (AP), together with WPA-EAP-SHA256 key management ("key_mgmt=WPA-EAP-SHA256" on the supplicant and "wpa_key_mgmt=WPA-EAP-SHA256" on hostapd) *after* the key negotiation and 4way handshake is complete I get disconnected immediately with the above error.

Version-Release number of selected component (if applicable):
wpa_supplicant 1.0, kernel 3.3.4

How reproducible:
always

Steps to Reproduce:
1. enable "ieee80211w=2" and "key_mgmt=WPA-EAP-SHA256" in wpa_supplicant.conf
2. enable "ieee80211w=2" and "wpa_key_mgmt=WPA-EAP-SHA256" on hostapd
3. execute "wpa_supplicant -dddt -Dnl80211 -iwlan0 -c /etc/wpa_supplicant/wpa_supplicant.conf" (assuming hostapd is also running)
  
Actual results:
The following is the log *after* I get connected and the 4way key exchange is complete (wpa_supplicant side):
wpa_driver_nl80211_set_operstate: operstate 0->1 (UP)
netlink: Operstate: linkmode=-1, operstate=6
EAPOL: External notification - portValid=1
wlan0: WPA: IGTK keyid 4 pn 000000000000
WPA: IGTK - hexdump(len=16): [REMOVED]
wpa_driver_nl80211_set_key: ifindex=5 alg=4 addr=0x49be68 key_idx=4 set_tx=0 seq_len=6 key_len=16
   broadcast key
nl80211: set_key failed; err=-22 Invalid argument)
wlan0: WPA: Failed to configure IGTK to the driver
wlan0: RSN: Failed to configure IGTK
wpa_driver_nl80211_deauthenticate(addr=00:23:cd:18:9e:e8 reason_code=1)
wpa_driver_nl80211_set_key: ifindex=5 alg=0 addr=(nil) key_idx=0 set_tx=0 seq_len=0 key_len=0
wpa_driver_nl80211_set_key: ifindex=5 alg=0 addr=(nil) key_idx=1 set_tx=0 seq_len=0 key_len=0
wpa_driver_nl80211_set_key: ifindex=5 alg=0 addr=(nil) key_idx=2 set_tx=0 seq_len=0 key_len=0
wpa_driver_nl80211_set_key: ifindex=5 alg=0 addr=(nil) key_idx=3 set_tx=0 seq_len=0 key_len=0
wpa_driver_nl80211_set_key: ifindex=5 alg=0 addr=(nil) key_idx=4 set_tx=0 seq_len=0 key_len=0
wpa_driver_nl80211_set_key: ifindex=5 alg=0 addr=(nil) key_idx=5 set_tx=0 seq_len=0 key_len=0
wpa_driver_nl80211_set_key: ifindex=5 alg=0 addr=0x6e3bb0 key_idx=0 set_tx=0 seq_len=0 key_len=0
   addr=00:23:cd:18:9e:e8
wlan0: State: COMPLETED -> DISCONNECTED
wpa_driver_nl80211_set_operstate: operstate 1->0 (DORMANT)


Expected results:
handshake to be completed and I am kept connected.

Additional info:
Full wpa_supplicant and hostapd logs can be provided (though, they are quite large as I am using TTLS/TLS 2-phase authentication with external RADIUS server).

Using the older WEXT driver instead of NL80211 doesn't make much difference - it chokes in the exact same place - these are my logs with -Dwext *after* I am authenticated and 4way handshake completes:

wpa_driver_wext_set_operstate: operstate 0->1 (UP)
netlink: Operstate: linkmode=-1, operstate=6
EAPOL: External notification - portValid=1
wlan0: WPA: IGTK keyid 4 pn 000000000000
WPA: IGTK - hexdump(len=16): [REMOVED]
wpa_driver_wext_set_key: alg=4 key_idx=4 set_tx=0 seq_len=6 key_len=16
ioctl[SIOCSIWENCODEEXT]: Invalid argument
Driver did not support SIOCSIWENCODEEXT
wlan0: WPA: Failed to configure IGTK to the driver
wlan0: RSN: Failed to configure IGTK
wpa_driver_wext_deauthenticate
wpa_driver_wext_set_key: alg=0 key_idx=0 set_tx=0 seq_len=0 key_len=0
wpa_driver_wext_set_key: alg=0 key_idx=1 set_tx=0 seq_len=0 key_len=0
wpa_driver_wext_set_key: alg=0 key_idx=2 set_tx=0 seq_len=0 key_len=0
wpa_driver_wext_set_key: alg=0 key_idx=3 set_tx=0 seq_len=0 key_len=0
wpa_driver_wext_set_key: alg=0 key_idx=4 set_tx=0 seq_len=0 key_len=0
ioctl[SIOCSIWENCODEEXT]: Invalid argument
Driver did not support SIOCSIWENCODEEXT
wpa_driver_wext_set_key: alg=0 key_idx=5 set_tx=0 seq_len=0 key_len=0
ioctl[SIOCSIWENCODEEXT]: Invalid argument
Driver did not support SIOCSIWENCODEEXT
wpa_driver_wext_set_key: alg=0 key_idx=0 set_tx=0 seq_len=0 key_len=0
wlan0: State: COMPLETED -> DISCONNECTED
wpa_driver_wext_set_operstate: operstate 1->0 (DORMANT)
Comment 1 Fedora End Of Life 2013-07-03 18:00:30 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2013-07-31 19:35:23 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.